Subject: [Cfrg] Fwd: Last Call: <draft-ietf-lwig-curve-representations-12.txt> (Alternative Elliptic Curve Representations) to Informational RFC

From: Benjamin Kaduk <[email-masked]>
Date: Sun, 30 Aug 2020 13:09:41 -0700

Hi all,

I think we've seen this draft discussed previously, but just wanted to
raise visibility that it has entered IETF Last Call.

-Ben

On Tue, Aug 25, 2020 at 06:29:59AM -0700, The IESG wrote:
> 
> The IESG has received a request from the Light-Weight Implementation Guidance
> WG (lwig) to consider the following document: - 'Alternative Elliptic Curve
> Representations'
>   <draft-ietf-lwig-curve-representations-12.txt> as Informational RFC
> 
> The IESG plans to make a decision in the next few weeks, and solicits final
> comments on this action. Please send substantive comments to the
> [email-masked] mailing lists by 2020-09-08. Exceptionally, comments may
> be sent to [email-masked] instead. In either case, please retain the beginning
> of the Subject line to allow automated sorting.
> 
> Abstract
> 
> 
>    This document specifies how to represent Montgomery curves and
>    (twisted) Edwards curves as curves in short-Weierstrass form and
>    illustrates how this can be used to carry out elliptic curve
>    computations using existing implementations of, e.g., ECDSA and ECDH
>    using NIST prime curves.  We also provide extensive background
>    material that may be useful for implementers of elliptic curve
>    cryptography.
> 
> 
> 
> 
> 
> The file can be obtained via
> https://datatracker.ietf.org/doc/draft-ietf-lwig-curve-representations/
> 
> 
> 
> No IPR declarations have been submitted directly on this I-D.
> 
> 
> 
> 
> 
> _______________________________________________
> IETF-Announce mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ietf-announce